FLANG

Public Member Functions | List of all members
Fortran::lower::pft::Variable Struct Reference

`#include <flang/Lower/PFTBuilder.h>`

## Public Member Functions
| Variable (const Fortran::semantics::Symbol &sym, bool global=false, int depth=0)
const Fortran::semantics::Symbol & | getSymbol () const
bool | isGlobal () const
bool | isHeapAlloc () const
bool | isPointer () const
bool | isTarget () const
int | getDepth () const
void | setHeapAlloc (bool to=true)
void | setPointer (bool to=true)
void | setTarget (bool to=true)

## Detailed Description

A variable captures an object to be created per the declaration part of a function like unit.

Properties can be applied by lowering. For example, a local array that is known to be very large may be transformed into a heap allocated entity by lowering. That decision would be tracked in its Variable instance.

The documentation for this struct was generated from the following file:

- include/flang/Lower/PFTBuilder.h